Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class SessionAttr

    java.lang.Object
      |
      +--com.novell.service.session.SessionAttr

public class SessionAttr
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Provides for a session attribute, which is an identifying characteristic of the Session from from it was retrieved. An attribute is an object that can only be read/retrieved from a session and you cannot change a session attribute. SessionAttr reflects the current state of the session.

See Also:
  `SessionAttrs`, Serialized Form

Constructor Summary
`SessionAttr(java.lang.String attrId, java.lang.Object value)` Constructs a new instance of a session attribute.
`SessionAttr(java.lang.String attrId, java.lang.String value, boolean ignoreCase)` Constructs a new instance of a session attribute.

Method Summary
`java.lang.String` | `getSessionAttrId()` Returns the ID of this session attribute.
`java.lang.Object` | `getValue()` Returns the value associated with this session attribute.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionAttr

    public SessionAttr(java.lang.String attrId,
                       java.lang.Object value)

  Constructs a new instance of a session attribute.
  Parameters:
    `attrId` - The ID for the session attribute.
    `value` - The value of the session attribute.

### SessionAttr

    public SessionAttr(java.lang.String attrId,
                       java.lang.String value,
                       boolean ignoreCase)

  Constructs a new instance of a session attribute.
  Parameters:
    `attrId` - The ID for the session attribute.
    `value` - The value of the session attribute.

Method Detail

### getSessionAttrId

    public java.lang.String getSessionAttrId()

  Returns the ID of this session attribute.
  Returns:
    The session attribute ID as a String.

### getValue

    public java.lang.Object getValue()

  Returns the value associated with this session attribute.
  Returns:
    The value of this session attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD